Bug 803567 - Create Gatein/EPP JON Plugin Documentation
Create Gatein/EPP JON Plugin Documentation
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Documentation (Show other bugs)
5.2.1.GA
All All
unspecified Severity high
: ---
: 5.2.2.GA
Assigned To: mmurray
:
Depends On:
Blocks: 852138
  Show dependency treegraph
 
Reported: 2012-03-15 00:20 EDT by Jared MORGAN
Modified: 2015-08-09 21:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
GateIn JON Plug-in information was missing from the documentation when the plug-in was initially released in v5.2.1. The content has been added in to a dedicated chapter in the Administration Guide in this release. Additionally, the Installation Guide has been updated with JBoss ON installation guidance.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8796 by jaredmorgs at 2012-07-25 00:24:46 EDT (show)
8796 by jaredmorgs at 2012-07-25 00:24:46 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

BZ#803567 - Added draft and watermark for review purposes

4 files changed:

  • epp/docs/branches/5.2/Admin_Guide/en-US/Administration_Guide.xml (+1 / -1)
  • epp/docs/branches/5.2/Admin_Guide/en-US/Book_Info.xml (+1 / -1)
  • epp/docs/branches/5.2/Admin_Guide/en-US/Revision_History.xml (+14 / -0)
  • epp/docs/branches/5.2/Admin_Guide/publican.cfg (+1 / -1)
8797 by jaredmorgs at 2012-07-25 00:43:08 EDT (show)
8797 by jaredmorgs at 2012-07-25 00:43:08 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

BZ#803567 - Added JON Installation section to the guide, to cover the Admin and Monitoring section now in the Admin Guide

9 files changed:

  • epp/docs/branches/5.2/Installation_Guide/en-US/Book_Info.xml (+1 / -1)
  • epp/docs/branches/5.2/Installation_Guide/en-US/DatabaseConfiguration.xml (+4 / -4)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Installation_Guide.ent (+1 / -1)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Installation_With_ZIP_Download.xml (+24 / -1)
  • epp/docs/branches/5.2/Installation_Guide/en-US/JON_Installation.xml (+0 / -0)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Native_Components.xml (+1 / -6)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Post_Installation.xml (+2 / -1)
  • epp/docs/branches/5.2/Installation_Guide/en-US/Revision_History.xml (+14 / -0)
  • svn:mime-type (+0 / -0)


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2012-03-15 00:20:12 EDT
Description of problem:

The Gatein JON Plugin is new for EPP 5.2.1, however documentation is not yet created for the plugin.

Nick Scavelli is tasked with writing the draft material for the Admin Guide in the community. It will be inserted into the https://docs.jboss.org/author/display/GTNPORTAL/Admin+Guide when written.

When Nick has completed his initial work, the content will need to be converted to task-based format and productized where required.
Comment 1 Jared MORGAN 2012-03-15 00:24:08 EDT
Hi Nick

I've captured the requirement for JON Plugin docs in the enterprise admin guide.

If you have any Wiki or draft info available now, I might be able to knock up a draft skeleton for the enterprise docs. You might be able to reuse the data in the community docs? 

We may end up running out of time for EPP 5.2.1, however if it is regarded as an important feature we can push an asynchronous update after the release goes out with the info added.

Let me know if I can help you out, mate.

Cheers

Jared
Comment 2 Nick Scavelli 2012-03-20 12:53:30 EDT
Created initial RHQ documentation for GateIn here https://docs.jboss.org/author/display/GTNPORTAL/Administration+and+Monitoring.

If we feel additional information is needed, lets add first to community docs then sync with product docs. May add additional instructions like how to install jon epp plugin pack.
Comment 4 Jared MORGAN 2012-06-18 18:46:36 EDT
(In reply to comment #2)
> Created initial RHQ documentation for GateIn here
> https://docs.jboss.org/author/display/GTNPORTAL/
> Administration+and+Monitoring.
> 
> If we feel additional information is needed, lets add first to community
> docs then sync with product docs. May add additional instructions like how
> to install jon epp plugin pack.

The initial content looks great, and I've made a few minor changes (mostly just condensed the tables and removed the GateIn reference.) I can roll these changes back into the Confluence docs if you like (barring limitations with Confluence formatting).

Did you want to take a quick look at the docs-stage work and see if you're happy with it?

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html-single/Administration_Guide/index.html (then click on Administration and Monitoring to view the changes)

So what is the procedure to install the jon epp plugin pack? Do customers need to build using Maven, or is it available in the EPP binaries?

And do you think it would be better to put the plugin installation information into the Installation Guide? Seems logical to have all installation information in one place, right?

Cheers

Jared
Comment 5 Jared MORGAN 2012-06-18 22:15:33 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
GateIn JON Plug-in information was missing from the documentation when the plug-in was initially released in v5.2.1. The content has been added in to a dedicated chapter in the Administration Guide in this release.
Comment 6 Nick Scavelli 2012-06-19 09:47:48 EDT
Looks good. You can roll those changes into confluence docs as long as you keep the GateIn and RHQ wording as this is aimed for the community.

I believe the epp plugin pack is shipped with JON. In the installation docs you can mention the name of the epp plugin pack "jon-plugin-pack-epp-3.1.0.zip" (depending on version of course) and that all the contents of the plugin pack need to be installed/unzipped to the JON plugin directory, and then link to JON installation. I think that would be enough.
Comment 7 Jared MORGAN 2012-07-24 20:06:31 EDT
(In reply to comment #6)
> Looks good. You can roll those changes into confluence docs as long as you
> keep the GateIn and RHQ wording as this is aimed for the community.
> 

Changes incorporated.
Comment 8 Jared MORGAN 2012-07-25 00:35:15 EDT
These guides are ready for review. The changes have been staged to docs-stage, and should display as soon as docs-stage is brought back online after the mass Publican 3.0 retagging.

===Changes to the Administration Guide===

Package: JBoss_Enterprise_Portal_Platform-Administration_Guide-5.2-web-en-US-5.2.2-3.el6eng

Link: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html-single/Administration_Guide/index.html#Administration_and_Monitoring

Remarks: Search for "BZ#803567" for changes relating to this bug.

===Changes to the Installation Guide===

Package: JBoss_Enterprise_Portal_Platform-Installation_Guide-5.2-web-en-US-5.2.2-3.el6eng

Link: http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html-single/Installation_Guide/index.html

Remarks: Search for "BZ#803567" for changes relating to this bug.
Comment 9 Jared MORGAN 2012-07-25 00:35:15 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-GateIn JON Plug-in information was missing from the documentation when the plug-in was initially released in v5.2.1. The content has been added in to a dedicated chapter in the Administration Guide in this release.+GateIn JON Plug-in information was missing from the documentation when the plug-in was initially released in v5.2.1. The content has been added in to a dedicated chapter in the Administration Guide in this release. Additionally, the Installation Guide has been updated with JBoss ON installation guidance.
Comment 10 Tomas Kyjovsky 2012-08-27 11:56:41 EDT
Installation Guide
6.7. JBoss Operations Network Installation
Task: Install and Configure JBoss ON.

 1. "jon-server-VERSION.zip" is contained in <code> block but it's split by whitespaces after "VERSION" which breaks the whole paragraph

 2. Link http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/ doesn't work.

These links worked for me: https://access.redhat.com/knowledge/docs/JBoss_Operations_Network/
https://access.redhat.com/knowledge/docs/JBoss_Operations_Network/?locale=en-US


Also, it probably should be mentioned in the Installation Guide that it's necessary to enable access to JMX console for JON server to interact with EPP.
Comment 11 Jared MORGAN 2012-09-02 20:57:31 EDT
(In reply to comment #10)
> Installation Guide
> 6.7. JBoss Operations Network Installation
> Task: Install and Configure JBoss ON.
> 
>  1. "jon-server-VERSION.zip" is contained in <code> block but it's split by
> whitespaces after "VERSION" which breaks the whole paragraph
> 
>  2. Link http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/ doesn't
> work.
> 
> These links worked for me:
> https://access.redhat.com/knowledge/docs/JBoss_Operations_Network/
> https://access.redhat.com/knowledge/docs/JBoss_Operations_Network/?locale=en-
> US
> 
> 
> Also, it probably should be mentioned in the Installation Guide that it's
> necessary to enable access to JMX console for JON server to interact with
> EPP.

I have made all changes as directed to the section in question. I am packaging this up today for release.

Note You need to log in before you can comment on or make changes to this bug.